:root {
	--nav-width: 270px;
	--assetservicecalendar-settings-width: 350px;
	--assetservicecalendar-adjustment-width: 10px;
	--assetservicecalendar-settings-grid-adjust: 274px;
	--taskcalendar-settings-width: 350px;
	--taskcalendar-adjustment-width: 10px;
	--taskcalendar-settings-grid-adjust: 176px;
}

.dxbl-sm {
	--assetservicecalendar-settings-grid-adjust: 207px;
	--taskcalendar-settings-grid-adjust: 130px;
}

.header-logo {
	background-image: url(../images/Logo.png);
}

.eventheader-layoutgroup {
	width: 20%;
}

.loading-items-center > .bg-primary {
	background-color: #07e567 !important;
}

.loading-items-center > .border-primary {
	border-color: #1155f2 !important;
}

.xaf-loading-content > .spinner-border {
	color: #07e567 !important;
}

/* Calendar main panel */
.assetservicecalendar-mainpanel {
	min-width: 0;
	max-width: calc(100vw - var(--nav-width) - var(--assetservicecalendar-adjustment-width) - var(--assetservicecalendar-settings-width));
	flex: 1 1 auto;
	transition: max-width 0.2s ease;
}

.taskcalendar-mainpanel {
	min-width: 0;
	max-width: calc(100vw - var(--nav-width) - var(--taskcalendar-adjustment-width) - var(--taskcalendar-settings-width));
	flex: 1 1 auto;
	transition: max-width 0.2s ease;
}

/* Calendar side panel */
.assetservicecalendar-sidepanel {
	max-width: var(--assetservicecalendar-settings-width);
	overflow: hidden;
	transition: max-width 0.2s ease;
}

.taskcalendar-sidepanel {
	max-width: var(--taskcalendar-settings-width);
	overflow: hidden;
	transition: max-width 0.2s ease;
}

/* Calendar settings grids */
.assetservicecalendar-settings-grid {
	height: calc(var(--calendar-height) - var(--assetservicecalendar-settings-grid-adjust));
	min-height: 100px;
}

.taskcalendar-settings-grid {
	height: calc(var(--calendar-height) - var(--taskcalendar-settings-grid-adjust));
	min-height: 100px;
}
